-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : PKG_COMUN.sql                                             |
-- | CLASS    : Install                                                   |
-- | PURPOSE  : Procediments comuns                                       |
-- | DATE     : 11/12/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus UOC/UOC @PKG_COMUN.sql                             |
-- |----------------------------------------------------------------------|

set serveroutput on;

/* Capalera del paquet */
CREATE OR REPLACE PACKAGE PKG_COMUN AS

PROCEDURE reg_LOG (in_PROCEDIMENT IN VARCHAR2, in_PARAM_ENTRADA IN VARCHAR2, in_PARAM_SORTIDA IN VARCHAR2);

END PKG_COMUN;
/

/* Cos del paquet */
CREATE OR REPLACE PACKAGE BODY PKG_COMUN AS

/* ---------------------------------------------- */
/* Procediment Registre Log                       */
/* ---------------------------------------------- */
/* USAGE : call PKG_COMUN.reg_LOG (<dades>);      */
/* ---------------------------------------------- */
PROCEDURE reg_LOG (in_PROCEDIMENT IN VARCHAR2, in_PARAM_ENTRADA IN VARCHAR2, in_PARAM_SORTIDA IN VARCHAR2)
IS

BEGIN
  INSERT INTO UOC.LOG (PROCEDIMENT, PARAM_ENTRADA, PARAM_SORTIDA)
  VALUES (in_PROCEDIMENT, in_PARAM_ENTRADA, in_PARAM_SORTIDA);
  COMMIT WORK;

/* Control d'Excepcions */
EXCEPTION
   WHEN OTHERS THEN
   BEGIN
        ROLLBACK;
        DBMS_OUTPUT.PUT_LINE('Error : ' || SQLERRM);
   END;

END reg_LOG;
 
END PKG_COMUN;
/
show errors
