-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : alim_desaUOC.sql                                          |
-- | CLASS    : Import                                                    |
-- | PURPOSE  : Script de crrega de dades a la taula DESARROLLADOR       |
-- | DATE     : 25/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:  sqlplus <usr>/<passwd> @alim_desaUOC.sql                     |
-- |----------------------------------------------------------------------|

/*  Connexi a Oracle */
connect /as SYSDBA
alter session set current_schema=UOC;

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Inicia fitxer log de sortida */
spool '../log/alim_desaUOC.log'
set termout on
prompt
prompt => INICI
prompt

/* Backup taula DESARROLLADOR  */
prompt => 1. Backup de la taula DESARROLLADOR
set termout off 
    @bkup_desaUOC.sql
set termout on 

/* Borra registres taula MODELO  */
spool '../log/alim_desaUOC.log' append
prompt
prompt => 3. Borra registres de la taula DESARROLLADOR
delete from UOC.DESARROLLADOR;

/* Crea taula temporal  */
prompt => 4. Crea taula temporal TMP_DESARROLLADOR
CREATE TABLE UOC.TMP_DESARROLLADOR   (
   DESA_ID                VARCHAR2(15)       not null,
   DESA_EMPRESA           VARCHAR2(50)       not null,
   PAIS_ID                CHAR(2)            not null,
   DESA_REPRESENTANTE     VARCHAR2(50),
   DIR_CALLE              VARCHAR2(200),
   DIR_CP                 VARCHAR2(10),
   DIR_CIUDAD             VARCHAR2(50),
   DIR_PROVINCIA          VARCHAR2(50),
   DIR_PAIS               CHAR(2),
   DESA_TELFPROF          VARCHAR2(40),
   DESA_TELFMOVIL         VARCHAR2(40),
   DESA_TELFPERSO         VARCHAR2(40),
   DESA_FAX               VARCHAR2(40),
   DESA_EMAIL             VARCHAR2(100),
   DESA_WEB               VARCHAR2(200)
) TABLESPACE USERS;

/* Carrega dades a taula temporal  */
prompt => 5. Carrega dades a taula temporal TMP_DESARROLLADOR
@load_desaUOC.sql

/* Alimenta taula DESARROLLADOR  */
prompt => 6. Alimenta taula DESARROLLADOR
insert into UOC.DESARROLLADOR (DESA_ID, DESA_EMPRESA, PAIS_ID, DESA_REPRESENTANTE, DIR_CALLE, DIR_CP, DIR_CIUDAD, DIR_PROVINCIA, DIR_PAIS, DESA_TELFPROF, DESA_TELFMOVIL, DESA_TELFPERSO, DESA_FAX, DESA_EMAIL, DESA_WEB) select DESA_ID, DESA_EMPRESA, PAIS_ID, DESA_REPRESENTANTE, DIR_CALLE, DIR_CP, DIR_CIUDAD, DIR_PROVINCIA, DIR_PAIS, DESA_TELFPROF, DESA_TELFMOVIL, DESA_TELFPERSO, DESA_FAX, DESA_EMAIL, DESA_WEB from UOC.TMP_DESARROLLADOR;

/* Borra taula temporal  */
prompt => 7. Borra taula temporal TMP_DESARROLLADOR
set termout off 
    drop table UOC.TMP_DESARROLLADOR cascade constraints;
set termout on 

/* Tanca fitxer log de sortida */
prompt
prompt => FINAL : TAULA 'DESARROLLADOR' IMPORTADA
prompt

spool off
disconnect;
