-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : alim_pagoUOC.sql                                          |
-- | CLASS    : Import                                                    |
-- | PURPOSE  : Script de crrega de dades a la taula OPERADOR            |
-- | DATE     : 24/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @alim_pagoUOC.sql                   |
-- |----------------------------------------------------------------------|

/*  Connexi a Oracle */
connect /as SYSDBA
alter session set current_schema=UOC;

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Inicia fitxer log de sortida */
spool '../log/alim_operaUOC.log'
set termout on
prompt
prompt => INICI
prompt

/* Backup taula OPERADOR  */
prompt => 1. Backup de la taula OPERADOR
set termout off 
    @bkup_operaUOC.sql
set termout on 

/* Borra registres taula OPERADOR  */
spool '../log/alim_operaUOC.log' append
prompt
prompt => 2. Borra registres de la taula OPERADOR
delete from UOC.OPERADOR;

/* Crea taula temporal  */
prompt => 3. Crea taula temporal TMP_OPERADOR
CREATE TABLE UOC.TMP_OPERADOR   (
--   OPERA_ID             NUMBER (5)          not null,
   OPERA_NOMBRE         VARCHAR2(100)       not null,
   PAIS_ID              CHAR (2)            not null,
   OPERA_EMPRESA        VARCHAR2(100)       not null
) TABLESPACE USERS;

/* Recrea la seqncia UOC.SEQ_OPERA  */
-- prompt => 4. Recrea la seqncia UOC.SEQ_OPERA
-- DROP SEQUENCE UOC.SEQ_OPERA;
-- CREATE SEQUENCE UOC.SEQ_OPERA
--   START WITH 1
--   MINVALUE 1
--   NOCYCLE
--   NOCACHE;

/* Carrega dades a taula temporal  */
prompt => 5. Carrega dades a taula temporal TMP_OPERADOR
@load_operaUOC.sql

/* Alimenta taula OPERADOR  */
prompt => 6. Alimenta taula OPERADOR
-- insert into UOC.OPERADOR (OPERA_ID, OPERA_NOMBRE, PAIS_ID) select OPERA_ID, OPERA_NOMBRE, PAIS_ID from UOC.TMP_OPERADOR;
insert into UOC.OPERADOR (OPERA_NOMBRE, PAIS_ID, OPERA_EMPRESA) select OPERA_NOMBRE, PAIS_ID, OPERA_EMPRESA from UOC.TMP_OPERADOR;

/* Borra taula temporal  */
prompt => 7. Borra taula temporal TMP_OPERADOR
set termout off 
    drop table UOC.TMP_OPERADOR cascade constraints;
set termout on 

/* Tanca fitxer log de sortida */
prompt
prompt => FINAL : TAULA 'OPERADOR' IMPORTADA
prompt

spool off
disconnect;
