-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : alim_pagoUOC.sql                                          |
-- | CLASS    : Import                                                    |
-- | PURPOSE  : Script de crrega de dades a la taula MODO_PAGO           |
-- | DATE     : 23/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @alim_pagoUOC.sql                   |
-- |----------------------------------------------------------------------|

/*  Connexi a Oracle */
connect /as SYSDBA
alter session set current_schema=UOC;

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Inicia fitxer log de sortida */
spool '../log/alim_pagoUOC.log'
set termout on
prompt
prompt => INICI
prompt

/* Backup taula MODO_PAGO  */
prompt => 1. Backup de la taula SO
set termout off 
    @bkup_pagoUOC.sql
set termout on 

/* Borra registres taula MODO_PAGO  */
spool '../log/alim_pagoUOC.log' append
prompt
prompt => 2. Borra registres de la taula MODO_PAGO
delete from UOC.MODO_PAGO;

/* Crea taula temporal  */
prompt => 3. Crea taula temporal TMP_PAGO
CREATE TABLE UOC.TMP_PAGO
( -- PAGO_ID           NUMBER (3)          not null,
  PAGO_NOMBRE          VARCHAR2(50)       not null
) TABLESPACE USERS;

/* Recrea la seqncia SEQ_PAGO  */
-- prompt => 4. Recrea la seqncia SEQ_PAGO
-- DROP SEQUENCE UOC.SEQ_PAGO;
-- CREATE SEQUENCE UOC.SEQ_PAGO
--   START WITH 1
--   MINVALUE 1
--   NOCYCLE
--   NOCACHE;

/* Carrega dades a taula temporal  */
prompt => 5. Carrega dades a taula temporal TMP_PAGO
@load_pagoUOC.sql

/* Alimenta taula PAIS  */
prompt => 6. Alimenta taula MODO_PAGO
-- insert into UOC.MODO_PAGO (PAGO_ID, PAGO_NOMBRE) select PAGO_ID, PAGO_NOMBRE from UOC.TMP_PAGO;
insert into UOC.MODO_PAGO (PAGO_NOMBRE) select PAGO_NOMBRE from UOC.TMP_PAGO;

/* Borra taula temporal  */
prompt => 7. Borra taula temporal TMP_PAGO
set termout off 
    drop table UOC.TMP_PAGO cascade constraints;
set termout on 

/* Tanca fitxer log de sortida */
prompt
prompt => FINAL : TAULA 'MODO_PAGO' IMPORTADA
prompt

spool off
disconnect;
