-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : alim_paisUOC.sql                                          |
-- | CLASS    : Import                                                    |
-- | PURPOSE  : Script de crrega de dades a la taula PAIS                |
-- | DATE     : 22/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @alim_paisUOC.sql                   |
-- |----------------------------------------------------------------------|

/*  Connexi a Oracle */
connect /as SYSDBA
alter session set current_schema=UOC;

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Inicia fitxer log de sortida */
spool '../log/alim_paisUOC.log'
set termout on
prompt
prompt => INICI
prompt

/* Backup taula PAIS  */
prompt => 1. Backup de la taula PAIS
set termout off 
    @bkup_paisUOC.sql
set termout on 

/* Borra registres taula PAIS  */
spool '../log/alim_paisUOC.log' append
prompt
prompt => 2. Borra registres de la taula PAIS
delete from UOC.PAIS;

/* Crea taula temporal  */
prompt => 3. Crea taula temporal TMP_PAIS
CREATE TABLE UOC.TMP_PAIS
(  PAIS_ID              CHAR (2)           not null,
   PAIS_NOMBRE          VARCHAR2(100)       not null
) TABLESPACE USERS;

/* Carrega dades a taula temporal  */
prompt => 4. Carrega dades a taula temporal TMP_PAIS
@load_paisUOC.sql

/* Alimenta taula PAIS  */
prompt => 5. Alimenta taula PAIS
insert into UOC.PAIS (PAIS_ID, PAIS_NOMBRE) select PAIS_ID, PAIS_NOMBRE from UOC.TMP_PAIS;

/* Borra taula temporal  */
prompt => 6. Borra taula temporal TMP_PAIS
set termout off 
    drop table UOC.TMP_PAIS cascade constraints;
set termout on 

/* Tanca fitxer log de sortida */
prompt
prompt => FINAL : TAULA 'PAIS' IMPORTADA
prompt

spool off
disconnect;