-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : alim_resolUOC.sql                                         |
-- | CLASS    : Import                                                    |
-- | PURPOSE  : Script de crrega de dades a la taula RESOLUCION          |
-- | DATE     : 24/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @alim_resolUOC.sql                  |
-- |----------------------------------------------------------------------|

/*  Connexi a Oracle */
connect /as SYSDBA
alter session set current_schema=UOC;

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Inicia fitxer log de sortida */
spool '../log/alim_resolUOC.log'
set termout on
prompt
prompt => INICI
prompt

/* Backup taula RESOLUCION  */
prompt => 1. Backup de la taula SO
set termout off 
    @bkup_resolUOC.sql
set termout on 

/* Borra registres taula RESOLUCION  */
spool '../log/alim_resolUOC.log' append
prompt
prompt => 2. Borra registres de la taula RESOLUCION
delete from UOC.RESOLUCION;

/* Crea taula temporal  */
prompt => 3. Crea taula temporal TMP_RESOLUCION
CREATE TABLE UOC.TMP_RESOLUCION   (
--   RES_ID              NUMBER (3)           not null,
   RES_VALOR           VARCHAR2(15)         not null
) TABLESPACE USERS;

/* Recrea la seqncia SEQ_RESOLUCION  */
-- prompt => 4. Recrea la seqncia SEQ_RESOLUCION
-- DROP SEQUENCE UOC.SEQ_RESOLUCION;
-- CREATE SEQUENCE UOC.SEQ_RESOLUCION
--   START WITH 1
--   MINVALUE 1
--   NOCYCLE
--   NOCACHE;
  
/* Carrega dades a taula temporal  */
prompt => 5. Carrega dades a taula temporal TMP_RESOLUCION
@load_resolUOC.sql

/* Alimenta taula RESOLUCION  */
prompt => 6. Alimenta taula RESOLUCION
-- insert into UOC.RESOLUCION (RES_ID, RES_VALOR) select RES_ID, RES_VALOR from UOC.TMP_RESOLUCION;
insert into UOC.RESOLUCION (RES_VALOR) select RES_VALOR from UOC.TMP_RESOLUCION;

/* Borra taula temporal  */
prompt => 7. Borra taula temporal RESOLUCION
set termout off 
    drop table UOC.TMP_RESOLUCION cascade constraints;
set termout on 

/* Tanca fitxer log de sortida */
prompt
prompt => FINAL : TAULA 'RESOLUCION' IMPORTADA
prompt

spool off
disconnect;
