-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : alim_schemaUOC.sql                                        |
-- | CLASS    : Import                                                    |
-- | PURPOSE  : Script d'alimentaci de dades al schema UOC               |
-- | DATE     : 23/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus UOC/UOC @alim_schemaUOC.sql                        |
-- |----------------------------------------------------------------------|

/* connexi a Oracle      */
connect /as SYSDBA

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Alimenta taula SO */
prompt ****************
prompt Etapa 1 : SO
prompt ****************
@alim_soUOC.sql

/* Alimenta taula PAIS  */
prompt ********************
prompt Etapa 2 : PAIS
prompt ********************
@alim_paisUOC.sql

/* Alimenta taula MODO_PAGO  */
prompt ********************
prompt Etapa 3 : MODO PAGO
prompt ********************
@alim_pagoUOC.sql

/* Alimenta taula OPERADOR  */
prompt ********************
prompt Etapa 4 : OPERADOR
prompt ********************
@alim_operaUOC.sql

/* Alimenta taula RESOLUCION  */
prompt ********************
prompt Etapa 5 : RESOLUCION
prompt ********************
@alim_resolUOC.sql

/* Alimenta taula MODELO  */
prompt ********************
prompt Etapa 6 : MODELO
prompt ********************
@alim_modelUOC.sql

/* Alimenta taula DESARROLLADOR  */
prompt ********************
prompt Etapa 7 : DESARROLLADOR
prompt ********************
@alim_desaUOC.sql

/* Alimenta taula APLICACION  */
prompt ********************
prompt Etapa 8 : APLICACION
prompt ********************
@alim_apliUOC.sql

/* Alimenta taula USUARIO  */
prompt ********************
prompt Etapa 9 : USUARIO
prompt ********************
@alim_userUOC.sql

/* Sortida */
prompt
prompt => FINAL : TAULES IMPORTADES

EXIT;
