-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : alim_soUOC.sql                                            |
-- | CLASS    : Import                                                    |
-- | PURPOSE  : Script de crrega de dades a la taula SO                  |
-- | DATE     : 22/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @alim_soUOC.sql                     |
-- |----------------------------------------------------------------------|

/*  Connexi a Oracle */
connect /as SYSDBA
alter session set current_schema=UOC;

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Inicia fitxer log de sortida */
spool '../log/alim_soUOC.log'
set termout on
prompt
prompt => INICI
prompt

/* Backup taula PAIS  */
prompt => 1. Backup de la taula SO
set termout off 
    @bkup_soUOC.sql
set termout on 

/* Borra registres taula PAIS  */
spool '../log/alim_soUOC.log' append
prompt
prompt => 2. Borra registres de la taula SO
delete from UOC.SO;

/* Crea taula temporal  */
prompt => 3. Crea taula temporal TMP_SO
CREATE TABLE UOC.TMP_SO
( -- SO_ID           NUMBER (3)          not null,
  SO_NOMBRE          VARCHAR2(50)       not null
) TABLESPACE USERS;

/* Recrea la seqncia SEQ_SO  */
-- prompt => 4. Recrea la seqncia SEQ_SO
-- DROP SEQUENCE UOC.SEQ_SO;
-- CREATE SEQUENCE UOC.SEQ_SO
--   START WITH 1
--  MINVALUE 1
--  NOCYCLE
--  NOCACHE;

/* Carrega dades a taula temporal  */
prompt => 5. Carrega dades a taula temporal TMP_SO
@load_soUOC.sql

/* Alimenta taula PAIS  */
prompt => 6. Alimenta taula SO
-- insert into UOC.SO (SO_ID, SO_NOMBRE) select SO_ID, SO_NOMBRE from UOC.TMP_SO;
insert into UOC.SO (SO_NOMBRE) select SO_NOMBRE from UOC.TMP_SO;

/* Borra taula temporal  */
prompt => 7. Borra taula temporal TMP_SO
set termout off 
    drop table UOC.TMP_SO cascade constraints;
set termout on 

/* Tanca fitxer log de sortida */
prompt
prompt => FINAL : TAULA 'SO' IMPORTADA
prompt

spool off
disconnect;
