-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : bkup_pagoUOC.sql                                          |
-- | CLASS    : Backup                                                    |
-- | PURPOSE  : Backup dades taula MODO_PAGO                              |
-- | DATE     : 23/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @bkup_pagoUOC.sql                   |
-- |----------------------------------------------------------------------|

-- head on      : Enttes des colonnes
-- feed on      : Nombre de colonnes retournes
-- trim on 	    : Supprime les blancs de fin de ligne
-- trims off    : Empche les blancs de fin de ligne
-- colsep       : Sparateur des colonnes
-- pagesize     : Nombre de lignes
-- newpage      : Nouvelle page ou non
-- echo         : Affichage des commandes excutes
-- verify 		  : remplacement des variables

set head off; 
set feed on; 
set trim on;
set trims on;
set colsep ";";
set linesize 2000; 
set pagesize 10000;
set newpage none;
set verify off; 

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Backup taula PAIS  */
spool '../data/pago_backup.csv';
--set termout on;
set echo on;
      select PAGO_NOMBRE from UOC.MODO_PAGO order by PAGO_NOMBRE asc;
--set termout off;
set echo off;
spool off;
