-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : buida_taulaUOC.sql                                        |
-- | CLASS    : Import                                                    |
-- | PURPOSE  : buida totes les taules                                    |  
-- | DATE     : 24/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @buida_taulaUOC.sql                 |
-- |----------------------------------------------------------------------|

/* connexi a Oracle */
connect /as SYSDBA
alter session set current_schema=UOC

/* Gesti d'errors */
-- whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Inicia fitxer log de sortida */
spool '../log/buida_taulaUOC.log'
set termout on
prompt
prompt => INICI
prompt

/* Buida taules */
prompt => 2. Buida_taula APLICACION
  delete from UOC.APLICACION;

prompt => 4. Buida_taula DESARROLLADOR
  delete from UOC.DESARROLLADOR;

prompt => 7. Buida_taula USUARIO
  delete from UOC.USUARIO;

prompt => 8. Buida_taula DISPOSITIVO
  delete from UOC.DISPOSITIVO;

prompt => 6. Buida_taula OPERADOR
  delete from UOC.OPERADOR;

prompt => 9. Buida_taula MODO_PAGO
  delete from UOC.MODO_PAGO;

prompt => 10. Buida_taula MODELO
  delete from UOC.MODELO;

prompt => 1. Buida_taula SO
  delete from UOC.SO;

prompt => 3. Buida_taula RESOLUCION
  delete from UOC.RESOLUCION;

prompt => 5. Buida_taula PAIS
  delete from UOC.PAIS;

/* Tanca fitxer log de sortida */
prompt 
prompt => FINAL : TAULES BUIDES
prompt

spool off
disconnect;