-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : crea_dirUOC.sql                                           |
-- | CLASS    : Install                                                   |
-- | PURPOSE  : Script de creaci dels directoris                         |
-- | DATE     : 16/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @crea_dirUOC.sql                    |
-- |----------------------------------------------------------------------|

/*  Connexi a Oracle */
connect /as SYSDBA
alter session set current_schema=UOC
set termout on

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Inicia fitxer log de sortida */
spool '../log/crea_dirUOC.log'
prompt
prompt => INICI
prompt 
prompt

/* Crea directoris */
prompt => 1. Crea directoris
set termout off
  CREATE OR REPLACE DIRECTORY DIR_DATA AS 'C:/oraclexe/UOC/data';
  CREATE OR REPLACE DIRECTORY DIR_LOG AS 'C:/oraclexe/UOC/log';
  CREATE OR REPLACE DIRECTORY DIR_FILES AS 'C:/oraclexe/UOC/files';
  CREATE OR REPLACE DIRECTORY DIR_TMP AS 'C:/oraclexe/UOC/tmp';
set termout on

/* Crea privilegis a directoris */
prompt => 2. Otorga privilegis
set termout off
  GRANT READ, WRITE ON DIRECTORY DIR_DATA TO UOC;
  GRANT READ, WRITE ON DIRECTORY DIR_LOG TO UOC;
  GRANT READ, WRITE ON DIRECTORY DIR_FILES TO UOC;
  GRANT READ, WRITE ON DIRECTORY DIR_TMP TO UOC;
set termout on

/* Tanca fitxer log de sortida */
prompt 
prompt => FINAL : DIRECTORIS CREATS
prompt

spool off
disconnect;
