-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : crea_idxUOC.sql                                           |
-- | CLASS    : Install                                                   |
-- | PURPOSE  : Script de creaci claus primries                         |
-- | DATE     : 10/12/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus UOC/UOC @crea_idxUOC.sql                           |
-- |----------------------------------------------------------------------|

/* connexi a Oracle      */
connect /as SYSDBA
alter session set current_schema=UOC

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Inicia fitxer log de sortida */
spool '../log/crea_idxUOC.log'
set termout on
prompt
prompt => INICI
prompt

/* Index Taula Descrregues */
prompt => 1. Index Descrregues
CREATE INDEX IDX_DESCARGA
  ON UOC.DESCARGA (APP_ID, VERSION, IMEI, DESCARGA_OPERADOR)
  COMPUTE STATISTICS;

/* Index Taula Logs */
prompt => 2. Index Logs
CREATE INDEX IDX_LOG
  ON UOC.LOG (PROCEDIMENT, PARAM_ENTRADA, PARAM_SORTIDA)
  COMPUTE STATISTICS;

/* Tanca fitxer log de sortida */
prompt 
prompt => FINAL : INDEX CREATS
prompt

spool off
disconnect;
