-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : crea_pkUOC.sql                                            |
-- | CLASS    : Install                                                   |
-- | PURPOSE  : Script de creaci claus primries                         |
-- | DATE     : 21/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @crea_pkUOC.sql                     |
-- |----------------------------------------------------------------------|

/* connexi a Oracle      */
connect /as SYSDBA
alter session set current_schema=UOC

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Inicia fitxer log de sortida */
spool '../log/crea_pkUOC.log'
set termout on
prompt
prompt => INICI
prompt

/* Restriccions Taula Sistema Operatiu */
prompt => 1. PK_taula SO
ALTER TABLE UOC.SO   
  ADD (CONSTRAINT PK_SO primary key (SO_NOMBRE) USING INDEX);

/* Clau Primria Taula Aplicaci */
prompt => 2. PK_taula APLICACION
ALTER TABLE UOC.APLICACION   
  ADD (CONSTRAINT PK_APP primary key (APP_ID, VERSION) USING INDEX);

/* Clau Primria Taula Versi */
-- prompt => 3. PK_taula VERSION
-- ALTER TABLE UOC.VERSION   
--  ADD (CONSTRAINT PK_VERSION primary key (APP_ID, APP_VERSION, SO_ID, PAIS_ID) USING INDEX);

/* Clau Primria Taula Resoluci Pantalla */
prompt => 3. PK_taula RESOLUCION
ALTER TABLE UOC.RESOLUCION   
  ADD (CONSTRAINT PK_RES primary key (RES_VALOR) USING INDEX);

/* Clau Primria Taula Desenvolupador */
prompt => 4. PK_taula DESARROLLADOR
ALTER TABLE UOC.DESARROLLADOR   
  ADD (CONSTRAINT PK_DESA primary key (DESA_ID) USING INDEX);

/* Clau Primria Taula Pas */
prompt => 5. PK_taula PAIS
ALTER TABLE UOC.PAIS   
  ADD (CONSTRAINT PK_PAIS primary key (PAIS_ID) USING INDEX);

/* Clau Primria Taula Operador */
prompt => 6. PK_taula OPERADOR
ALTER TABLE UOC.OPERADOR   
  ADD (CONSTRAINT PK_OPERA primary key (OPERA_NOMBRE) USING INDEX);

/* Clau Primria Taula Usuari */
prompt => 7. PK_taula USUARIO
ALTER TABLE UOC.USUARIO   
  ADD (CONSTRAINT PK_USR primary key (USR_MOVIL) USING INDEX);

/* Clau Primria Taula Dispositiu mbil */
prompt => 8. PK_taula DISPOSITIVO
ALTER TABLE UOC.DISPOSITIVO   
  ADD (CONSTRAINT PK_DISPO primary key (IMEI) USING INDEX);

/* Clau Primria Taula Mode de Pagament */
prompt => 9. PK_taula MODO_PAGO
ALTER TABLE UOC.MODO_PAGO   
  ADD (CONSTRAINT PK_PAGO primary key (PAGO_NOMBRE) USING INDEX);

/* Clau Primria Taula Descrregues */
-- prompt => 10. PK_taula DESCARGA
-- ALTER TABLE UOC.DESCARGA   
--   ADD (CONSTRAINT PK_DESCARGA primary key (DESCARGA_ID) USING INDEX);

/* Clau Primria Taula Model Dispositiu */
prompt => 10. PK_taula MODELO
ALTER TABLE UOC.MODELO   
  ADD (CONSTRAINT PK_MODELO primary key (MODELO) USING INDEX);

/* Tanca fitxer log de sortida */
prompt 
prompt => FINAL : CLAUS PRIMARIES CREADES
prompt

-- describe UOC.APLICACION;
-- select * from user_cons_columns;
-- select * from user_constraints;

spool off
disconnect;
