-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : crea_schemaUOC.sql                                        |
-- | CLASS    : Install                                                   |
-- | PURPOSE  : Script de creaci del schema UOC                          |
-- | DATE     : 15/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @crea_schemaUOC.sql                 |
-- |----------------------------------------------------------------------|

/* connexi a Oracle      */
connect /as SYSDBA

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* creaci de usuaris      */
prompt ****************
prompt Etapa 1 : Usuari
prompt ****************
@ crea_userUOC.sql

/* creaci de directoris   */
prompt ********************
prompt Etapa 2 : Directoris
prompt ********************
@ crea_dirUOC.sql

/* creaci tipus de dades */
-- N/A

/* creaci de taules    */
prompt ****************
prompt Etapa 3 : Taules
prompt ****************
-- @ drop_taulaUOC.sql
@ crea_taulaUOC.sql

/* creaci de Claus Primries */
prompt *************************
prompt Etapa 4 : Claus Primaries
prompt *************************
@ crea_pkUOC.sql

/* creaci de Claus Secundries */
prompt ***************************
prompt Etapa 5 : Claus Secundaries
prompt ***************************
@ crea_fkUOC.sql

/* creaci de seqncies */
-- prompt ******************** 
-- prompt Etapa 6 : Seqncies
-- prompt ******************** 
-- @ crea_seqUOC.sql  

/* creaci de ndex     */
prompt ***************
prompt Etapa 6 : Index
prompt ***************
@ crea_idxUOC.sql

/* creaci de vistes      */
prompt ****************
prompt Etapa 7 : Vistes
prompt ****************
-- @ cree_vueJCLDBO.sql
-- @ cree_vueCLINT.sql

/* creaci de triggers  */
prompt ******************
prompt Etapa 8 : Triggers
prompt ******************
--@ cree_trigCLINT.sql

/* creaci de PL/SQL     */
prompt ************************
prompt Etapa 9 : Procediments
prompt ************************
spool '../log/crea_procUOC.log'
@ PKG_DESA.sql
@ PKG_APP.sql
@ PKG_USER.sql
@ PKG_DESCARGA.sql
spool off;

EXIT;
