-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : crea_seqUOC.sql                                           |
-- | CLASS    : Install                                                   |
-- | PURPOSE  : Script de creaci de seqncies                           |
-- | DATE     : 21/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @crea_seqUOC.sql                    |
-- |----------------------------------------------------------------------|

/* connexi a Oracle */
connect /as SYSDBA
alter session set current_schema=UOC

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Inicia fitxer log de sortida */
spool '../log/crea_seqUOC.log'
set termout on
prompt
prompt => INICI
prompt

/* Seqncies Sistema Operatiu */
prompt => 1. Crea_sequencia SO
CREATE SEQUENCE UOC.SEQ_SO
  START WITH 1
  MINVALUE 1
  NOCYCLE
  NOCACHE;
  
/* Seqncies Resoluci Pantalla */
prompt => 2. Crea_sequencia RESOLUCION
CREATE SEQUENCE UOC.SEQ_RESOLUCION
  START WITH 1
  MINVALUE 1
  NOCYCLE
  NOCACHE;

/* Seqncies Operador */
prompt => 3. Crea_sequencia OPERADOR
CREATE SEQUENCE UOC.SEQ_OPERA
  START WITH 1
  MINVALUE 1
  NOCYCLE
  NOCACHE;

/* Seqncies Mode de Pagament */
prompt => 4. Crea_sequencia MODO_PAGO
CREATE SEQUENCE UOC.SEQ_PAGO
  START WITH 1
  MINVALUE 1
  NOCYCLE
  NOCACHE;

/* Seqncies Modelo */
prompt => 5. Crea_sequencia MODELO
CREATE SEQUENCE UOC.SEQ_MODELO
  START WITH 1
  MINVALUE 1
  NOCYCLE
  NOCACHE;

/* Tanca fitxer log de sortida */
prompt 
prompt => FINAL : SEQUENCIES CREADES
prompt

spool off
disconnect;