-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : crea_userUOC.sql                                          |
-- | CLASS    : Install                                                   |
-- | PURPOSE  : Script de creaci de l'usuari UOC                         |
-- | DATE     : 15/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @crea_userUOC.sql                   |
-- |----------------------------------------------------------------------|

/* Connexi a Oracle */
connect /as SYSDBA
set termout on

/* Gesti d'errors */
-- whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Inicia fitxer log de sortida */
spool '../log/crea_userUOC.log'
prompt
prompt => INICI
prompt 
prompt
       
/* Crea l'usuari */
prompt => 1. Crea usuari UOC 
  CREATE USER UOC IDENTIFIED BY UOC
  DEFAULT TABLESPACE USERS
  QUOTA UNLIMITED ON USERS
  TEMPORARY TABLESPACE TEMP
  PROFILE DEFAULT
  ACCOUNT UNLOCK;

/* Crea privilegis */
prompt => 2. Otorga privilegis
set termout off 
  GRANT CONNECT TO UOC;
  
  GRANT CREATE SESSION TO UOC;
  GRANT CREATE ANY INDEX TO UOC;
  GRANT CREATE ANY SEQUENCE TO UOC;
  GRANT CREATE ANY TABLE TO UOC;
  GRANT CREATE ANY TRIGGER TO UOC;
  GRANT CREATE ANY VIEW TO UOC;
  GRANT CREATE PROCEDURE TO UOC;
  GRANT CREATE TRIGGER TO UOC;
  GRANT CREATE VIEW TO UOC;

  GRANT ALTER SESSION TO UOC;
  GRANT ALTER ANY INDEX TO UOC;
  GRANT ALTER ANY SEQUENCE TO UOC;
  GRANT ALTER ANY TABLE TO UOC;
  GRANT ALTER ANY TRIGGER TO UOC;

  GRANT DROP ANY INDEX TO UOC;
  GRANT DROP ANY SEQUENCE TO UOC;
  GRANT DROP ANY TABLE TO UOC;
  GRANT DROP ANY TRIGGER TO UOC;
  GRANT DROP ANY VIEW TO UOC;

  GRANT DELETE ANY TABLE TO UOC;
  GRANT INSERT ANY TABLE TO UOC;
  GRANT QUERY REWRITE TO UOC;
  GRANT SELECT ANY TABLE TO UOC;
  GRANT UNLIMITED TABLESPACE TO UOC;

/* Tanca fitxer log de sortida */
set termout on 
prompt 
prompt => FINAL : USUARI CREAT
prompt

spool off
disconnect;