-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : drop_taulaUOC.sql                                         |
-- | CLASS    : Install                                                   |
-- | PURPOSE  : Script de supressi de claus primaries                    |
-- | DATE     : 21/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @drop_taulaUOC.sql                  |
-- |----------------------------------------------------------------------|

/* connexi a Oracle */
connect /as SYSDBA
alter session set current_schema=UOC

/* Gesti d'errors */
-- whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Inicia fitxer log de sortida */
spool '../log/drop_pkUOC.log'
set termout on
prompt
prompt => INICI
prompt

/* Borra taules */
prompt => 1. Borra_PK SO
  ALTER TABLE UOC.SO DROP PRIMARY KEY CASCADE;

prompt => 2. Borra_PK APLICACION
  ALTER TABLE UOC.APLICACION DROP PRIMARY KEY CASCADE;

prompt => 3. Borra_PK VERSION
  ALTER TABLE UOC.VERSION DROP PRIMARY KEY CASCADE;

prompt => 4. Borra_PK RESOLUCION
  ALTER TABLE UOC.RESOLUCION DROP PRIMARY KEY CASCADE;

prompt => 5. Borra_PK DESARROLLADOR
  ALTER TABLE UOC.DESARROLLADOR DROP PRIMARY KEY CASCADE;

prompt => 6. Borra_PK PAIS
  ALTER TABLE UOC.PAIS DROP PRIMARY KEY CASCADE;

prompt => 7. Borra_PK OPERADOR
  ALTER TABLE UOC.OPERADOR DROP PRIMARY KEY CASCADE;

prompt => 8. Borra_PK USUARIO
  ALTER TABLE UOC.USUARIO DROP PRIMARY KEY CASCADE;

prompt => 9. Borra_PK DISPOSITIVO
  ALTER TABLE UOC.DISPOSITIVO DROP PRIMARY KEY CASCADE;

prompt => 10. Borra_PK MODO_PAGO
  ALTER TABLE UOC.MODO_PAGO DROP PRIMARY KEY CASCADE;

prompt => 11. Borra_PK DESCARGA
  ALTER TABLE UOC.DESCARGA DROP PRIMARY KEY CASCADE;

prompt => 12. Borra_PK MODELO
  ALTER TABLE UOC.MODELO DROP PRIMARY KEY CASCADE;

/* Tanca fitxer log de sortida */
prompt 
prompt => FINAL : CLAUS PRIMARIES BORRADES
prompt

spool off
disconnect;
