-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : drop_schemaUOC.sql                                        |
-- | CLASS    : Install                                                   |
-- | PURPOSE  : Script de supressi del schema UOC                        |
-- | DATE     : 21/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @drop_schemaUOC.sql                 |
-- |----------------------------------------------------------------------|

/* connexi a Oracle      */
connect /as SYSDBA

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Suppressi de directoris   */
prompt ********************
prompt Etapa 1 : Directoris
prompt ********************
@ drop_dirUOC.sql

/* Suppressi de Seqncies */
-- prompt ********************
-- prompt Etapa 2 : Sequencies
-- prompt ********************
-- @ drop_seqUOC.sql

/* Suppressi de Claus Primries */
-- prompt *************************
-- prompt Etapa 2 : Claus Primaries
-- prompt *************************
-- @ drop_pkUOC.sql

/* Suppressi de Taules */
prompt ****************
prompt Etapa 2 : Taules
prompt ****************
@ drop_taulaUOC.sql

/* Suppressi Usuari */
prompt ****************
prompt Etapa 3 : Usuari
prompt ****************
connect /as SYSDBA
DROP USER UOC CASCADE;

EXIT;
