-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : crea_taulaUOC.sql                                         |
-- | CLASS    : Install                                                   |
-- | PURPOSE  : Script de supressi de seqncies                         |
-- | DATE     : 21/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @crea_taulaUOC.sql                  |
-- |----------------------------------------------------------------------|

/* connexi a Oracle */
connect /as SYSDBA
alter session set current_schema=UOC

/* Gesti d'errors */
-- whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Inicia fitxer log de sortida */
spool '../log/drop_seqUOC.log'
set termout on
prompt
prompt => INICI
prompt

/* Seqncies Sistema Operatiu */
prompt => 1. Borra_sequencia SO
DROP SEQUENCE UOC.SEQ_SO;
  
/* Seqncies Resoluci Pantalla */
prompt => 2. Borra_sequencia RESOLUCION
DROP SEQUENCE UOC.SEQ_RESOLUCION;

/* Seqncies Operador */
prompt => 3. Borra_sequencia OPERADOR
DROP SEQUENCE UOC.SEQ_OPERA;

/* Seqncies Mode de Pagament */
prompt => 4. Borra_sequencia MODO_PAGO
DROP SEQUENCE UOC.SEQ_PAGO;

/* Seqncies Modelo */
prompt => 5. Borra_sequencia MODO_MODELO
DROP SEQUENCE UOC.SEQ_MODELO;

/* Tanca fitxer log de sortida */
prompt 
prompt => FINAL : SEQUENCIES BORRADES
prompt

spool off
disconnect;