-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : drop_taulaUOC.sql                                         |
-- | CLASS    : Install                                                   |
-- | PURPOSE  : Script de supressi de les taules                         |
-- | DATE     : 17/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @drop_taulaUOC.sql                  |
-- |----------------------------------------------------------------------|

/* connexi a Oracle */
connect /as SYSDBA
alter session set current_schema=UOC

/* Gesti d'errors */
-- whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Inicia fitxer log de sortida */
spool '../log/drop_taulaUOC.log'
set termout on
prompt
prompt => INICI
prompt

/* Borra taules */
prompt => 1. Borra_taula SO
  DROP TABLE UOC.SO CASCADE CONSTRAINTS;

prompt => 2. Borra_taula APLICACION
  DROP TABLE UOC.APLICACION CASCADE CONSTRAINTS;

-- prompt => 3. Borra_taula VERSION
--  DROP TABLE UOC.VERSION CASCADE CONSTRAINTS;

prompt => 3. Borra_taula RESOLUCION
  DROP TABLE UOC.RESOLUCION CASCADE CONSTRAINTS;

prompt => 4. Borra_taula DESARROLLADOR
  DROP TABLE UOC.DESARROLLADOR CASCADE CONSTRAINTS;

prompt => 5. Borra_taula PAIS
  DROP TABLE UOC.PAIS CASCADE CONSTRAINTS;

prompt => 6. Borra_taula OPERADOR
  DROP TABLE UOC.OPERADOR CASCADE CONSTRAINTS;

prompt => 7. Borra_taula USUARIO
  DROP TABLE UOC.USUARIO CASCADE CONSTRAINTS;

prompt => 8. Borra_taula DISPOSITIVO
  DROP TABLE UOC.DISPOSITIVO CASCADE CONSTRAINTS;

prompt => 9. Borra_taula MODO_PAGO
  DROP TABLE UOC.MODO_PAGO CASCADE CONSTRAINTS;

prompt => 10. Borra_taula DESCARGA
  DROP TABLE UOC.DESCARGA CASCADE CONSTRAINTS;

prompt => 11. Borra_taula MODELO
  DROP TABLE UOC.MODELO CASCADE CONSTRAINTS;

/* Tanca fitxer log de sortida */
prompt 
prompt => FINAL : TAULES BORRADES
prompt

spool off
disconnect;
