CREATE OR REPLACE PACKAGE PKG_DESARROLLADOR AS

-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : PKG_desaUOC.sql                                           | 
-- | CLASS    : Package                                                   |
-- | PURPOSE  : Procediments ABM - desenvolupadors                        |
-- | DATE     : 30/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|

/* Llista de Procediments */
PROCEDURE crea_desaUOC (
   p_ID VARCHAR2(15), p_EMPRESA VARCHAR2(50), p_PAISREG CHAR(2), p_REPRESENTANTE VARCHAR2(50), p_CALLE VARCHAR2(200),
   p_CP VARCHAR2(10), p_CIUDAD VARCHAR2(50), p_PROVINCIA VARCHAR2(50), p_PAISDIR CHAR(2), p_TELFPROF VARCHAR2(40),
   p_TELFMOVIL VARCHAR2(40), p_TELFPERSO VARCHAR2(40), p_FAX VARCHAR2(40), p_EMAIL VARCHAR2(100), p_WEB VARCHAR2(200)
);
PROCEDURE update_desaUOC ();
PROCEDURE borra_desaUOC ();
PROCEDURE consulta_desaUOC (i_ID VARCHAR2(15));

END PKG_DESARROLLADOR;
/

/* --------------- */
/* Cos del Package */
/* --------------- */

CREATE PACKAGE BODY PKG_DESARROLLADOR AS

/* Procediment afegeix un nou Desenvolupador */
PROCEDURE crea_desaUOC (
   p_ID VARCHAR2(15), p_EMPRESA VARCHAR2(50), p_PAISREG CHAR(2), p_REPRESENTANTE VARCHAR2(50), p_CALLE VARCHAR2(200),
   p_CP VARCHAR2(10), p_CIUDAD VARCHAR2(50), p_PROVINCIA VARCHAR2(50), p_PAISDIR CHAR(2), p_TELFPROF VARCHAR2(40),
   p_TELFMOVIL VARCHAR2(40), p_TELFPERSO VARCHAR2(40), p_FAX VARCHAR2(40), p_EMAIL VARCHAR2(100), p_WEB VARCHAR2(200)
) IS

BEGIN

  INSERT INTO UOC.DESARROLLADOR VALUES (   
   DESA_ID, DESA_EMPRESA, PAIS_ID, DESA_REPRESENTANTE, DIR_CALLE, DIR_CP, DIR_CIUDAD, DIR_PROVINCIA, DIR_PAIS, 
   DESA_TELFPROF, DESA_TELFMOVIL, DESA_TELFPERSO, DESA_FAX, DESA_EMAIL, DESA_WEB
  );

  consulta_desaUOC(p_ID);

END;
/* Fi Procediment afegeix un nou Desenvolupador */


/* Procediment retorna dades Desenvolupador donat el seu Identificador */
PROCEDURE crea_desaUOC (p_ID VARCHAR2(15)) IS

BEGIN

  SELECT DESA_ID, DESA_EMPRESA, PAIS_ID, DESA_REPRESENTANTE, DIR_CALLE, DIR_CP, DIR_CIUDAD, DIR_PROVINCIA, DIR_PAIS, 
   DESA_TELFPROF, DESA_TELFMOVIL, DESA_TELFPERSO, DESA_FAX, DESA_EMAIL, DESA_WEB
  INTO o_username, o_createdby,  o_date 
  FROM  UOC.DESARROLLADOR WHERE DESA_ID = p_ID;

  INSERT INTO UOC.DESARROLLADOR VALUES (   
   DESA_ID, DESA_EMPRESA, PAIS_ID, DESA_REPRESENTANTE, DIR_CALLE, DIR_CP, DIR_CIUDAD, DIR_PROVINCIA, DIR_PAIS, 
   DESA_TELFPROF, DESA_TELFMOVIL, DESA_TELFPERSO, DESA_FAX, DESA_EMAIL, DESA_WEB
  );

  consulta_desaUOC (p_ID);

END;


END PKG_DESARROLLADOR;
/

show errors
